#!/bin/bash
function lowercase()
{
    echo "$DEST" | tr 'A-Z' 'a-z'
}
function decompressor()
{
    case $(lowercase) in
        *.tar)
            tar -xvf $DEST
        ;;
        *.tar.gz | *.tgz)
            tar -xzvf $DEST
        ;;
        *.tar.bz2 | *.tbz | *.tbz2 | *.tb2)
            tar xjf $DEST
        ;;
        *.tar.xz | *.txz)
            tar -xf $DEST
        ;;
        *.bz2)
            bzip2 -d $DEST
        ;;
        *.gz)
            gzip -d $DEST
        ;;
        *.zip)
            unzip $DEST
        ;;
        *.7z)
            7za e $DEST
        ;;
        *.rar)
            unrar x $DEST
        ;;
        *)
            echo "Extension not found."
            echo -e "For more information run 'lch --help'\n"
        ;;
    esac
    
    echo -e "\nDone"
    exit 0
}